SoulFire LogoSoulFire

List villager trades

GET
/v1/recipes/villager-trades

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Query Parameters

scope.instance_id*string
Formatuuid
scope.bot_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/recipes/villager-trades?scope.instance_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&scope.bot_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "offers": [    {      "offerIndex": 0,      "firstCost": {        "itemId": "string",        "count": 0,        "maxStackSize": 0,        "damage": 0,        "maxDamage": 0,        "customName": {          "plainText": "string",          "json": "string"        },        "lore": [          {            "plainText": "string",            "json": "string"          }        ],        "enchantments": [          {            "enchantmentId": "string",            "level": 0          }        ],        "food": {          "nutrition": 0,          "saturationModifier": 0.1,          "canAlwaysEat": true,          "eatSeconds": 0.1        },        "tool": {          "toolTags": [            "string"          ],          "defaultMiningSpeed": 0.1,          "harvestLevel": 0        },        "armor": {          "equipmentSlot": "string",          "defense": 0,          "toughness": 0.1,          "knockbackResistance": 0.1        },        "components": {},        "customDataNbt": "string",        "fingerprint": "string",        "potion": {          "potionId": "string",          "effects": [            {              "effectId": "string",              "amplifier": 0,              "durationTicks": 0,              "ambient": true,              "visible": true,              "showIcon": true            }          ],          "color": 0        }      },      "secondCost": {        "itemId": "string",        "count": 0,        "maxStackSize": 0,        "damage": 0,        "maxDamage": 0,        "customName": {          "plainText": "string",          "json": "string"        },        "lore": [          {            "plainText": "string",            "json": "string"          }        ],        "enchantments": [          {            "enchantmentId": "string",            "level": 0          }        ],        "food": {          "nutrition": 0,          "saturationModifier": 0.1,          "canAlwaysEat": true,          "eatSeconds": 0.1        },        "tool": {          "toolTags": [            "string"          ],          "defaultMiningSpeed": 0.1,          "harvestLevel": 0        },        "armor": {          "equipmentSlot": "string",          "defense": 0,          "toughness": 0.1,          "knockbackResistance": 0.1        },        "components": {},        "customDataNbt": "string",        "fingerprint": "string",        "potion": {          "potionId": "string",          "effects": [            {              "effectId": "string",              "amplifier": 0,              "durationTicks": 0,              "ambient": true,              "visible": true,              "showIcon": true            }          ],          "color": 0        }      },      "result": {        "itemId": "string",        "count": 0,        "maxStackSize": 0,        "damage": 0,        "maxDamage": 0,        "customName": {          "plainText": "string",          "json": "string"        },        "lore": [          {            "plainText": "string",            "json": "string"          }        ],        "enchantments": [          {            "enchantmentId": "string",            "level": 0          }        ],        "food": {          "nutrition": 0,          "saturationModifier": 0.1,          "canAlwaysEat": true,          "eatSeconds": 0.1        },        "tool": {          "toolTags": [            "string"          ],          "defaultMiningSpeed": 0.1,          "harvestLevel": 0        },        "armor": {          "equipmentSlot": "string",          "defense": 0,          "toughness": 0.1,          "knockbackResistance": 0.1        },        "components": {},        "customDataNbt": "string",        "fingerprint": "string",        "potion": {          "potionId": "string",          "effects": [            {              "effectId": "string",              "amplifier": 0,              "durationTicks": 0,              "ambient": true,              "visible": true,              "showIcon": true            }          ],          "color": 0        }      },      "uses": 0,      "maximumUses": 0,      "outOfStock": true,      "rewardsExperience": true,      "villagerExperience": 0,      "demand": 0,      "specialPrice": 0,      "priceMultiplier": 0.1    }  ],  "villagerLevel": 0,  "villagerExperience": 0,  "canRestock": true,  "containerId": 0,  "containerRevision": 0}

How is this page?